import * as React from 'react';
import { ReadonlyFieldBaseComponent } from '../field-base-component';
import type { NestedFieldsAdditionalProperties } from '../field-base-component-types';
import type { LinkDecoratorProperties } from './link-types';
export declare class LinkComponent extends ReadonlyFieldBaseComponent<LinkDecoratorProperties, string, NestedFieldsAdditionalProperties> {
    private readonly onClick;
    getFocusableElement(element: HTMLElement): HTMLButtonElement | null;
    render(): React.ReactNode;
}
export declare const ConnectedLinkComponent: import("react-redux").ConnectedComponent<typeof LinkComponent, {
    key?: React.Key | null | undefined;
    ref?: React.LegacyRef<LinkComponent> | undefined;
    contextType?: import("../../../types").ContextType | undefined;
    bind?: import("../reference/reference-types").PropertyValueType<import("@sage/xtrem-client").ClientNode | any>;
    screenId: string;
    parentElementId?: string | undefined;
    level?: number | undefined;
    elementId: string;
    isParentDisabled?: boolean | undefined;
    isParentHidden?: boolean | undefined;
    fixedHeight?: number | undefined;
    item?: import("../../..").PageArticleItem | undefined;
    nestedReadOnlyField?: boolean | undefined;
    shouldRenderLabelInNestedReadOnlyMode?: boolean | undefined;
    availableColumns?: number | undefined;
    contextNode?: import("../../../types").NodePropertyType | undefined;
    recordContext?: any;
    columnDefinition?: any;
    handlersArguments?: import("../../nested-fields").NestedFieldHandlersArguments | undefined;
    isNested?: boolean | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, UnknownAction> | null> | undefined;
    store?: import("redux").Store | undefined;
}>;
export default ConnectedLinkComponent;
//# sourceMappingURL=link-component.d.ts.map