import React from 'react';
import { EdgeLabelRenderer, BaseEdge, getSmoothStepPath } from 'reactflow';
import * as tokens from '@sage/design-tokens/js/base/common';
import { AddNewNodeEdgeLabel } from './add-new-node-edge-label';
export function CustomEdge({ id, sourceX, sourceY, targetX, targetY, sourcePosition, targetPosition, markerEnd, selected, style, }) {
    const [edgePath, centerX, centerY] = getSmoothStepPath({
        sourceX,
        sourceY,
        sourcePosition,
        targetX,
        targetY,
        targetPosition,
        borderRadius: 20,
    });
    return (React.createElement(React.Fragment, null,
        React.createElement(BaseEdge, { id: id, path: edgePath, markerEnd: markerEnd, style: { ...style, stroke: selected ? tokens.colorsSemanticFocus500 : '#A6A6A6' } }),
        React.createElement(EdgeLabelRenderer, null,
            React.createElement(AddNewNodeEdgeLabel, { edgeId: id, centerX: centerX, centerY: centerY }))));
}
//# sourceMappingURL=custom-edge.js.map