import type { WorkflowVariable } from '@sage/xtrem-shared';
import type { Edge, EdgeChange, Node, XYPosition } from 'reactflow';
import type { DefaultDataType } from './workflow-types';
export declare const edgeStyle: Partial<Edge>;
export declare const removeTransientNodeDataProperties: (data: DefaultDataType) => DefaultDataType;
export declare const removeTransientNodeDataPropertiesFromNodes: (nodes: Node<DefaultDataType>[]) => Node[];
export declare const removeTransientEdgeDataPropertiesFromEdges: (nodes: Edge<DefaultDataType>[]) => Edge[];
export declare const changeEventHandler: (screenId: string, elementId: string) => () => Promise<void>;
export declare const usePreviousWorkflowNodes: (nodeId?: string, screenId?: string, elementId?: string, includeCurrent?: boolean) => Node<DefaultDataType>[];
export declare const useSubsequentWorkflowNodes: (nodeId?: string, screenId?: string, elementId?: string, includeCurrent?: boolean) => Node<DefaultDataType>[];
export declare const useSourceNode: (edgeId: string, screenId?: string, elementId?: string) => Node<DefaultDataType> | null;
export declare const useWorkflowNodeVariables: (nodeId?: string, screenId?: string, elementId?: string, includeCurrent?: boolean) => {
    inputVariables: WorkflowVariable[];
    oldRootPaths: string[];
};
export declare function removeChildNodesAndEdgesFromStartPoint(nodeId: string, tempEdges: Edge[], tempNodes: Node[]): void;
export declare function createNewNode({ selectedNodeType, values, nodes, position, }: {
    selectedNodeType: string;
    nodes: Node[];
    values: any;
    position?: XYPosition;
}): Node;
export declare function createNewEdge({ sourceNodeId, sourceHandleId, edges, targetNodeId, data, }: {
    sourceNodeId: string;
    sourceHandleId?: string | null;
    edges: Edge[];
    targetNodeId: string;
    data: any;
}): Edge;
export declare function allocateId(prefix: string, items: {
    id: string;
}[]): string;
export declare function isSingleEdgeRemoval(change: EdgeChange[], edges: Edge[]): boolean;
export declare function roundToNearestTwenty(num: number): number;
//# sourceMappingURL=workflow-component-utils.d.ts.map