import type * as xtremRedux from '../../redux';
import React from 'react';
import type { SidebarBlockDefinition, SidebarSectionDefinition } from './table-sidebar-types';
import type { Dict } from '@sage/xtrem-shared';
import type { NestedField } from '../nested-fields';
export interface TableSidebarSectionExternalProps {
    section: SidebarSectionDefinition;
    screenId: string;
    elementId: string;
    recordId: string;
    level?: number;
    columns: Array<NestedField<any, any>>;
}
export interface TableSidebarSectionProps extends TableSidebarSectionExternalProps {
    blocks: Dict<SidebarBlockDefinition>;
}
export declare function TableSidebarSection({ blocks, columns, elementId, level, recordId, screenId, }: TableSidebarSectionProps): React.ReactElement;
export declare const mapStateToProps: (state: xtremRedux.XtremAppState, props: TableSidebarSectionExternalProps) => TableSidebarSectionProps;
export declare const ConnectedTableSidebarSection: import("react-redux").ConnectedComponent<typeof TableSidebarSection, {
    section: SidebarSectionDefinition;
    screenId: string;
    elementId: string;
    recordId: string;
    level?: number | undefined;
    columns: Array<NestedField<any, any>>;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, UnknownAction> | null> | undefined;
    store?: import("redux").Store | undefined;
}>;
//# sourceMappingURL=table-sidebar-section.d.ts.map