"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SerialNumberExtension = void 0;
const sageWhStockData = require("@sage/wh-stock-data");
const xtrem_core_1 = require("@sage/xtrem-core");
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
const sageWhOutput = require("..");
const joins = {
    referenceJoins: {
        deliveryOrder: {
            site: 'site',
            depositor: 'depositor',
            code: 'deliveryOrder',
        },
        outputMovement: {
            site: 'site',
            depositor: 'depositor',
            code: 'outputMovement',
        },
    },
};
let SerialNumberExtension = class SerialNumberExtension extends xtrem_core_1.NodeExtension {
};
exports.SerialNumberExtension = SerialNumberExtension;
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'DLONUM',
        columnType: 'string',
        node: () => sageWhOutput.nodes.DeliveryOrder,
    })
], SerialNumberExtension.prototype, "deliveryOrder", void 0);
__decorate([
    xtrem_core_1.decorators.referenceProperty({
        isPublished: true,
        isStored: true,
        isNullable: true,
        columnName: 'MVTNUMO',
        columnType: 'string',
        node: () => sageWhOutput.nodes.OutputMovement,
    })
], SerialNumberExtension.prototype, "outputMovement", void 0);
exports.SerialNumberExtension = SerialNumberExtension = __decorate([
    xtrem_core_1.decorators.nodeExtension({
        extends: () => sageWhStockData.nodes.SerialNumber,
        externalStorageManagerExtension: new xtrem_x3_gateway_1.X3StorageManagerExtension({
            joins,
        }),
    })
], SerialNumberExtension);
//# sourceMappingURL=serial-number-extension.js.map