import { SageIconType } from "../../types/SageIconType";
import { SpaceProps } from "styled-system";
import React from "react";
export interface ContextMenuItemProps {
    icon: SageIconType;
    text: string;
    ariaLabel?: string;
    onClick?: () => void;
    dataRole?: string;
}
export declare const ContextMenuItem: ({ icon, text, ariaLabel, onClick, dataRole, }: ContextMenuItemProps) => React.JSX.Element;
export declare const ContextMenuItemDivider: () => React.JSX.Element;
export interface MenuItemProps {
    id: string;
    menuItems: React.ReactNode[];
    setMenuOpen: (state: boolean) => void;
}
export interface ContextMenuProps extends SpaceProps {
    icon: "ellipsis-horizontal" | "ellipsis-vertical";
    ariaLabel: string;
    ariaDescribedBy?: string;
    menuItems: React.ReactNode[];
    onMenuOpenClose?: (open: boolean) => void;
    dataRole?: string;
}
declare const ContextMenu: ({ icon, ariaLabel, ariaDescribedBy, menuItems, onMenuOpenClose, dataRole, ...rest }: ContextMenuProps) => React.JSX.Element;
export default ContextMenu;
