import React from 'react';
import type { CurrencyOrSymbol, Locale, StringLiterals } from '../../types';
import './HorizontalBar.scss';
export interface HorizontalBarProps {
    title: string;
    values: Array<HorizontalBarValues>;
    totalText: string;
    currency?: CurrencyOrSymbol;
    locale: Locale;
    stringLiterals: StringLiterals;
}
export interface HorizontalBarValues {
    id: number;
    tooltipTitle: string;
    tooltipInfo: string;
    amount: number;
    overlayText?: string;
}
export declare const HorizontalBar: React.FC<HorizontalBarProps>;
export default HorizontalBar;
