import { DefaultTheme } from "styled-components";
import { SessionMessage } from "../../types/SessionMessage";
import { SpeakerType } from "../../types/SpeakerType";
import React from "react";
import { SessionMessagePartFilterDisplayAs } from "../../types/SessionMessagePartsFilter";
interface ChatMessageContainerProps {
    speaker: SpeakerType;
}
export declare const ChatMessageContainer: import("styled-components").StyledComponent<React.ForwardRefExoticComponent<Omit<{
    [x: string]: /*elided*/ any;
    theme: DefaultTheme;
    as: string | React.ComponentClass<any, any> | React.FunctionComponent<any>;
    forwardedAs: string | React.ComponentClass<any, any> | React.FunctionComponent<any>;
}, "ref"> & React.RefAttributes<HTMLElement>>, DefaultTheme, ChatMessageContainerProps, never>;
interface ChatBubbleFlexProps {
    speaker: SpeakerType;
    children: React.ReactNode;
    mt?: string;
}
export declare const ChatBubbleFlex: ({ mt, ...props }: ChatBubbleFlexProps) => React.JSX.Element;
export interface ChatBubbleProps {
    /** Message to display in the bubble */
    message: SessionMessage;
    /** Display bubble as a skeleton */
    isSkeleton: boolean;
    isLastMessage?: boolean;
    displayAs: SessionMessagePartFilterDisplayAs;
}
/** Bubble containing a SessionMessage */
export declare const ChatBubble: ({ message, isSkeleton, isLastMessage, displayAs }: ChatBubbleProps) => React.JSX.Element;
export default ChatBubble;
