import { SessionMessage } from "../../../types/SessionMessage";
import { SpeakerType } from "../../../types/SpeakerType";
import { IMessagePartBase } from "../../../types/SessionMessageParts";
export interface MessagePartSubmitData {
    value: string | undefined;
    label: string | undefined;
    required: boolean;
}
export interface MessageState {
    [key: string]: MessagePartSubmitData;
}
export interface MessagePartDisplayFnProps {
    messagePart: IMessagePartBase;
    speaker: SpeakerType;
    prevMessagePartKind: string | undefined;
    isLastMessage?: boolean;
    message?: SessionMessage;
    messageState?: Record<string, MessagePartSubmitData>;
    setMessageState?: (key: string, value: string | undefined, label: string | undefined, required: boolean) => void;
}
export declare const MessagePartDummyDisplay: () => null;
export type MessagePartDisplayFn = React.FunctionComponent<MessagePartDisplayFnProps>;
type MessagePartDisplayHandlers = Record<string, MessagePartDisplayFn>;
export declare const messagePartDisplayHandlers: MessagePartDisplayHandlers;
export {};
