import React from "react";
import { SessionIdType } from "../../types/Session";
import { ChatDisplayState, OnChatDisplayStateChange } from "../../types/ChatDisplayState";
import { ChatNavDestination, OnChatNavigateTo } from "../../types/ChatNavigation";
import { SessionMessage } from "../../types/SessionMessage";
import { OnMessagePatch } from "../../types/MessagePatch";
import { SuggestionGroup } from "../../types/Suggestion";
interface ChatWindowProps {
    displayState: ChatDisplayState;
    onDisplayStateChange: OnChatDisplayStateChange;
    navDestination: ChatNavDestination;
    onNavigateTo: OnChatNavigateTo;
    combinedChatMessages: SessionMessage[];
    onMessagePatch: OnMessagePatch;
    loadNextMessageHistoryBatch: () => void;
    isMessageHistoryLoading: boolean;
    isMessageInFlight: boolean;
    inFlightSessionId: SessionIdType | null;
    moreMessageHistoryAvailable: boolean;
    suggestions: SuggestionGroup;
    isSuggestionsLoading: boolean;
}
declare const ChatWindow: ({ displayState, onDisplayStateChange, navDestination, onNavigateTo, combinedChatMessages, onMessagePatch, loadNextMessageHistoryBatch, isMessageHistoryLoading, isMessageInFlight, inFlightSessionId, moreMessageHistoryAvailable, suggestions, isSuggestionsLoading, }: ChatWindowProps) => React.JSX.Element;
export default ChatWindow;
