export declare const colors: {
    white: string;
    black: string;
    blackish: string;
    black90: string;
    black65: string;
    black55: string;
    black50: string;
    black30: string;
    black10: string;
    black08: string;
    black04: string;
    headerBorderGrey: string;
    actionMinor250: string;
    actionDisabled150: string;
    actionDisabled600: string;
    actionMajor500: string;
    borderInaccessible: string;
    textPrimaryOverLight: string;
    textSecondaryOverLight: string;
    semanticNegative500: string;
    semanticCaution500: string;
    semanticFocus500: string;
    semanticPositive400: string;
    utilityMajor025: string;
    utilityMajor050: string;
    utilityMajor100: string;
    utilityMajor150: string;
    utilityMajor300: string;
    utilityMajor500: string;
    utilityYin090: string;
    utilityYin030: string;
    utilityYang100: string;
    utilityDisabled400: string;
    utilityDisabled600: string;
    chatBubbleGrey: string;
    popupRightBlue: string;
    panelGrey: string;
    checkboxGrey: string;
    warningBorder: string;
    inputErrorRed: string;
    inputWarningOrange: string;
    skeletonBaseGrey: string;
    skeletonHighlightGrey: string;
    minimisedShadow: string;
    tableIconGreen: string;
    summaryBarGrey: string;
    headerGrey: string;
    headerSecondaryGrey: string;
    errorBubbleBackgroundRed: string;
    errorBubbleBorderRed: string;
    suggestionGrey: string;
    suggestionShadowHorz: string;
    suggestionShadowVert: string;
};
declare const themeStyling: {
    fontWeightNominal500: string;
    fontWeightNominal600: string;
    fontWeightNominal700: string;
    elementFocusedBorderStyling: string;
    smallFontSize: string;
    regularFontSize: string;
    largeFontSize: string;
    largerFontSize: string;
    megaLargeFontSize: string;
    gigaLargeFontSize: string;
    teraLargeFontSize: string;
    tableFontSize: string;
    tableSubCellFontSize: string;
    chartFontSize: string;
    regularLineHeight: string;
    paragraphLineHeight: string;
    headingLineHeight: string;
    promptGap: string;
    messagePartGap: string;
    aiContentHeadingGap: string;
    aiContentParagraphGap: string;
    chatBubbleIconSize: number;
    popupRight: {
        heightVisible: string;
        heightHidden: string;
        maxHeight: string;
        top: string;
        bottom: string;
        right: string;
    };
};
export type DefaultThemeStylingKey = keyof typeof themeStyling;
export declare const defaultTheme: {
    colors: {
        aiBubbleBackground: string;
        aiBubbleBackgroundError: string;
        aiBubbleText: string;
        aiBusyText: string;
        aiBubbleTableBorder: string;
        aiBubbleTableHeadingBorder: string;
        aiBubbleTableTextNegative: string;
        aiBubbleTableBold: string;
        aiBubbleTableOverdue: string;
        aiBubbleTablePaid: string;
        aiBubbleTableCaretDown: string;
        aiBubbleTableCaretUp: string;
        aiBubbleDetailsHover: string;
        aiBubbleDetailsText: string;
        aiBubbleSummarySubText: string;
        aiBubbleSummaryBar: string;
        defaultBubbleBorder: string;
        errorBubbleBorder: string;
        humanBubbleBackground: string;
        humanBubbleText: string;
        insightBubbleBorder: string;
        chatWindowBackground: string;
        moreHistoryButton: string;
        moreHistoryButtonHover: string;
        sidebarBackground: string;
        sidebarButtonsBackground: string;
        session: string;
        sessionBorder: string;
        sessionMenu: string;
        sessionHoverBackground: string;
        sessionSelected: string;
        sessionSelectedBackground: string;
        sessionGroupTitles: string;
        sessionActionBackground: string;
        sessionActionForeground: string;
        chatInputBorder: string;
        chatInputFocusOutline: string;
        chatInputFocusBorder: string;
        chatInputError: string;
        chatInputWarning: string;
        chatInputBackground: string;
        chatInputText: string;
        chatInputTextDim: string;
        chatInputLabel: string;
        chatInputHint: string;
        chatInputAreaBorder: string;
        chatInputDisabledBorder: string;
        chatInputDisabledText: string;
        chatInputDisabledBackground: string;
        chatSuggestionBackgroundHover: string;
        chatSuggestionBackgroundSelected: string;
        chatSuggestionShadowHorizontal: string;
        chatSuggestionShadowVertical: string;
        aiWarning: string;
        insightsButtonForeground: string;
        insightsButtonColorDisabled: string;
        insightsButtonBackgroundActive: string;
        insightsButtonForegroundActive: string;
        insightsButtonBorderColor: string;
        insightsButtonBorderColorHover: string;
        insightsButtonBackgroundDisabled: string;
        insightsDateSeparator: string;
        insightsDateSeparatorText: string;
        promptSelectorButtonForeground: string;
        promptSelectorButtonBackground: string;
        promptSelectorButtonBorder: string;
        launchButtonBackground: string;
        alertIconFill: string;
        alertIconStroke: string;
        auxiliaryButtonPrimaryText: string;
        auxiliaryButtonSecondaryText: string;
        auxiliaryButtonPrimaryBackground: string;
        auxiliaryButtonSecondaryBackground: string;
        auxiliaryButtonTertiaryBackground: string;
        auxiliaryButtonDangerBackground: string;
        dateSeparator: string;
        dateSeparatorText: string;
        contextMenuDivider: string;
        contextMenuBackground: string;
        contextMenuBackgroundHover: string;
        contextMenuForeground: string;
        header: {
            headerForegroundPrimary: string;
            headerForegroundSecondary: string;
            headerBackground: string;
            headerBorder: string;
            minimisedShadow: string;
        };
        messagePartSeparator: string;
        skeletonBase: string;
        skeletonHighlight: string;
        popupRightShadow: string;
        chatHistoryButtonForeground: string;
        chatHistoryButtonForegroundHover: string;
        navbarBorderColor: string;
        navbarBackground: string;
        insightsOverlayForeground: string;
        insightsOverlayBackground: string;
        feedbackHeaderTextColor: string;
        feedbackSubHeaderTextColor: string;
        feedbackTextColor: string;
        feedbackTextErrorColor: string;
        feedbackRowTimestampColor: string;
        checkboxColor: string;
        checkboxBorderColor: string;
        headingColor: string;
        required: string;
    };
    styling: {
        fontWeightNominal500: string;
        fontWeightNominal600: string;
        fontWeightNominal700: string;
        elementFocusedBorderStyling: string;
        smallFontSize: string;
        regularFontSize: string;
        largeFontSize: string;
        largerFontSize: string;
        megaLargeFontSize: string;
        gigaLargeFontSize: string;
        teraLargeFontSize: string;
        tableFontSize: string;
        tableSubCellFontSize: string;
        chartFontSize: string;
        regularLineHeight: string;
        paragraphLineHeight: string;
        headingLineHeight: string;
        promptGap: string;
        messagePartGap: string;
        aiContentHeadingGap: string;
        aiContentParagraphGap: string;
        chatBubbleIconSize: number;
        popupRight: {
            heightVisible: string;
            heightHidden: string;
            maxHeight: string;
            top: string;
            bottom: string;
            right: string;
        };
    };
};
export type ThemeInterface = typeof defaultTheme;
type DeepPartial<T> = {
    [P in keyof T]?: T[P] extends object ? DeepPartial<T[P]> : T[P];
};
export type ClientTheme = DeepPartial<ThemeInterface>;
export {};
