import { MessageIdType, SessionMessage, UUIDType } from "./SessionMessage";
import { ProxiedQueryResult } from "./ProxiedQuery";
export type ChatRequest = {
    user_id: string;
    session_id?: string;
    message: string;
    context?: Record<string, any>;
    insight_id?: MessageIdType;
    ref_message_id?: MessageIdType;
    ref_message_part_id?: MessageIdType;
};
export type ChatResponse = {
    sessionId: UUIDType;
    sessionName: string | undefined;
    messages: SessionMessage[];
    responseComplete: boolean;
};
export type ProxiedQueryResultRequest = {
    user_id: string;
    session_id?: string;
    kind: "proxied_query_result_request";
    context: Record<string, any>;
    response_message_id: UUIDType;
    response_data: ProxiedQueryResult[];
};
