import React from "react";
import { ComponentType } from "react";
import { BackgroundProps, BorderProps, FlexboxProps, GridProps, LayoutProps, MarginProps, PaddingProps, PositionProps, ShadowProps, SpaceProps, TypographyProps } from "styled-system";
export declare function withFilteredProps<P extends object>(Component: ComponentType<Partial<P>>, filtered?: string[]): React.ForwardRefExoticComponent<React.PropsWithoutRef<P> & React.RefAttributes<HTMLElement>>;
export declare function includeObjectProperties<T extends object>(originalObject: T, keyList: string[]): Partial<T>;
export declare function excludeObjectProperties<T extends object>(originalObject: T, keyList: string[]): Partial<T>;
export declare const positionPropertyNames: (keyof PositionProps)[];
export declare const flexboxPropertyNames: (keyof FlexboxProps)[];
export declare const gridPropertyNames: (keyof GridProps)[];
export declare const layoutPropertyNames: (keyof LayoutProps)[];
export declare const marginPropertyNames: (keyof MarginProps)[];
export declare const paddingNames: (keyof PaddingProps)[];
export declare const paddingLeftPropertyNames: (keyof PaddingProps)[];
export declare const paddingRightPropertyNames: (keyof PaddingProps)[];
export declare const paddingXPropertyNames: (keyof PaddingProps)[];
export declare const paddingTopPropertyNames: (keyof PaddingProps)[];
export declare const paddingBottomPropertyNames: (keyof PaddingProps)[];
export declare const paddingYPropertyNames: (keyof PaddingProps)[];
export declare const paddingPropertyNames: (keyof PaddingProps)[];
export declare const spacePropertyNames: (keyof SpaceProps)[];
export declare const colorPropertyNames: string[];
export declare const typeographyPropertyNames: (keyof TypographyProps)[];
export declare const backgroundPropertyNames: (keyof BackgroundProps)[];
export declare const borderPropertyNames: (keyof BorderProps)[];
export declare const shadowPropertyNames: (keyof ShadowProps)[];
export declare const allStyledSystemProps: string[];
