/* Copyright (c) 2020-2025 The Sage Group plc or its licensors. Sage, Sage logos, and Sage product and service names mentioned herein are the trademarks of Sage Global Services Limited or its licensors. All other trademarks are the property of their respective owners. */
"use strict";Object.defineProperty(exports,"__esModule",{value:true}),exports.executeUnitTest=exports.resolvePackageBin=void 0;const xtrem_cli_lib_1=require("@sage/xtrem-cli-lib"),xtrem_core_1=require("@sage/xtrem-core"),xtrem_shared_1=require("@sage/xtrem-shared"),childProcess=require("child_process"),fs=require("fs"),glob_1=require("glob"),path=require("path"),yargs=require("yargs"),mocha_1=require("../../utils/mocha"),resolvePackageBin=e=>{const t=require.resolve(`${e}/package.json`,{paths:[__dirname]}),r=path.dirname(t),i=require(t),s=i.bin[e]||i.bin;return path.resolve(r,s)};exports.resolvePackageBin=resolvePackageBin;const executeUnitTest=async(e,t,r,i="")=>{(0,xtrem_cli_lib_1.printInfo)(e,"Running unit tests...");const s=require(path.resolve(t,"package.json")),n=r?"build/test/mocha/**/*":`build/test/mocha/**/${i}*`,o=glob_1.glob.sync(`./test/graphql/${i}*/`,{cwd:t,absolute:true,realpath:true}).sort(xtrem_shared_1.defaultStringCompare),l=glob_1.glob.sync(`${t}/${n}`).filter((e=>e.endsWith(".js"))).filter((e=>!e.endsWith("sample-test.js"))).filter((e=>fs.readFileSync(e,"utf8").includes("describe"))).sort(xtrem_shared_1.defaultStringCompare);if(!(l&&0!==l.length||o&&0!==o.length))return void(0,xtrem_cli_lib_1.printWarning)(e,"No unit test files were found.");if(r){const r=yargs.argv,i=r.serviceOptions||r.allServiceOptions,o=path.join(__dirname,"../../utils/graphql-tests-entry-point");try{if(await new Promise((e=>{let r=[(0,exports.resolvePackageBin)("c8"),"--include","build/lib/**/*.js","--extension",".js","--extension",".ts"];["build/lib/{client-functions,pages,page-extensions,page-fragments,stickers,upgrades,widgets}/**/*.js",...s?.c8?.exclude||[]].forEach((e=>{r.push("--exclude"),r.push(e)})),r=[...r,"--exclude-after-remap","false","--reporter","html","--reporter","text","--reporter","json","--reporter","cobertura",(0,exports.resolvePackageBin)("mocha"),"--max-old-space-size=3000","--exit","--ui",require.resolve("./xtrem-interface"),"--timeout","1200000","--require",require.resolve("@sage/xtrem-bytenode"),"--require","source-map-support/register","--reporter","mocha-multi","--reporter-options","spec=-,mocha-junit-reporter=-","--recursive",`${o}.js`,`${n}.js`,""+(i?`--service-options=${i}`:"")];const l={...process.env,MOCHA_FILE:path.resolve(t,`junit-report-${s.name.replace("/","-").replace("@","")}.xml`)};if("undefined"===l.NODE_ENV)delete l.NODE_ENV;childProcess.spawn("node",r,{env:l,cwd:t,stdio:"inherit"}).on("close",(t=>{e(0===t)}))})))(0,xtrem_cli_lib_1.printSuccess)(e,"Unit tests passed.");else(0,xtrem_cli_lib_1.quitWithError)(e,"Unit tests failed.")}catch(t){console.log(t),(0,xtrem_cli_lib_1.printWarning)(e,t),(0,xtrem_cli_lib_1.quitWithError)(e,"Unit tests failed.")}}else{if(xtrem_cli_lib_1.isDebugging)(0,xtrem_cli_lib_1.printWarning)(e,"Running in debug mode, timeout is disabled.");try{const i=(0,mocha_1.createMochaRunner)(e,t,r),n=path.join(__dirname,"../../utils/unit-tests-entry-point");if(i.addFile(n),l.forEach((e=>{i.addFile(e)})),!xtrem_core_1.ConfigManager.current.logs?.disabled){const r=`The following unit test files will be executed:\n${[...o,...l].map((e=>` - ${e.replace(t+path.sep,"")}`)).join("\n")}`;(0,xtrem_cli_lib_1.printInfo)(e,r)}if(await(0,mocha_1.runMochaTests)(i,"module"===s.type))(0,xtrem_cli_lib_1.printSuccess)(e,"Unit tests passed.");else(0,xtrem_cli_lib_1.quitWithError)(e,"Unit tests failed.")}catch(t){console.log(t),(0,xtrem_cli_lib_1.printWarning)(e,t),(0,xtrem_cli_lib_1.quitWithError)(e,"Unit tests failed.")}}};exports.executeUnitTest=executeUnitTest;
//# sourceMappingURL=unit-tests.js.map