/* Copyright (c) 2020-2025 The Sage Group plc or its licensors. Sage, Sage logos, and Sage product and service names mentioned herein are the trademarks of Sage Global Services Limited or its licensors. All other trademarks are the property of their respective owners. */
"use strict";Object.defineProperty(exports,"__esModule",{value:true}),exports.StringConverter=void 0;const conversion_error_1=require("../conversion-error"),converter_1=require("../converter"),registry_1=require("../registry");class StringConverter{constructor(r){this.converter=r}convertLengthProperty(r){return{type:"integer",sql:`LENGTH(${r.sql})`}}convertTrimCall(r,e){if(0!==e.length)throw new conversion_error_1.ConversionError(void 0,`cannot convert trim to SQL: expected 0 args, got ${e.length}`);return converter_1.Converter.stringResult(`TRIM(${r.sql})`)}convertToChar(r){if("date"===r.type)return this.converter.dateConverter.convertToChar(r);switch(this.converter.dialect){case"postgres":return`${r.sql}::TEXT`;case"oracle":return`TO_CHAR(${r.sql})`;case"sqlServer":return`CONVERT(VARCHAR(max),${r.sql})`;default:throw new conversion_error_1.ConversionError(void 0,`${this.converter.dialect}: cannot convert to char`)}}static register(){registry_1.registry.registerMethods("string",{trim:(r,e,t)=>new StringConverter(r).convertTrimCall(e,t)}),registry_1.registry.registerProperties("string",{length:(r,e)=>new StringConverter(r).convertLengthProperty(e)})}}exports.StringConverter=StringConverter;
//# sourceMappingURL=string-converter.js.map