/* Copyright (c) 2020-2025 The Sage Group plc or its licensors. Sage, Sage logos, and Sage product and service names mentioned herein are the trademarks of Sage Global Services Limited or its licensors. All other trademarks are the property of their respective owners. */
"use strict";Object.defineProperty(exports,"__esModule",{value:true}),exports.Decorated=exports.decoratorsSymbol=void 0,exports.chainEvents=chainEvents,exports.chainFilters=chainFilters,exports.chainIsFrozens=chainIsFrozens,exports.chainArrays=chainArrays,exports.getDecorators=getDecorators,exports.memberDecorator=memberDecorator,exports.typedMemberDecorator=typedMemberDecorator,exports.staticMemberDecorator=staticMemberDecorator,exports.classDecorator=classDecorator,exports.classSubNodeDecorator=classSubNodeDecorator,exports.createTypedProperty=createTypedProperty,exports.extendProperty=extendProperty,exports.snakeUpperCase=snakeUpperCase;const xtrem_async_helper_1=require("@sage/xtrem-async-helper"),lodash_1=require("lodash");exports.decoratorsSymbol=Symbol("decorators");class Decorated{}function chainEvents(e,r,t){if(e&&"function"!=typeof e)throw new Error(`Base event ${t}: event is not a function`);if(r&&"function"!=typeof r)throw new Error(`Extension event ${t}: event is not a function`);return orderEvents(e,r,t)}function chainFilters(e,r){if(!e)return r;if(!r)return e;return{_and:[e,r]}}function chainIsFrozens(e,r){if(void 0===r.isFrozen)return e.isFrozen;if(void 0===e.isFrozen)return r.isFrozen;if(true===e.isFrozen)throw e.systemError("Cannot override isFrozen if already frozen in base class.");const t=[e.isFrozen,r.isFrozen];return function(){return(0,xtrem_async_helper_1.asyncArray)(t).some((e=>"function"==typeof e?e.call(this):e))}}function getOrderedFunctions(e,r,t){const getFunction=e=>!e||"function"==typeof e?e:function f(...r){return e},o=getFunction(e),n=getFunction(r);let s=[];if(o&&n)s=t.startsWith("delete")?[n,o]:[o,n];else if(n)s=[n];else if(o)s=[o];return s}function orderEvents(e,r,t){return async function chained(...o){if(!e&&!r)return;const n=getOrderedFunctions(e,r,t);for(const e of n)await e.apply(this,o);return}}function chainArrays(e,r){if(e&&r)return[...e,...r];return e||r}function getDecorators(e){if(!Object.prototype.hasOwnProperty.call(e,exports.decoratorsSymbol))e[exports.decoratorsSymbol]={superDecorators:e[exports.decoratorsSymbol]};return e[exports.decoratorsSymbol]}function memberDecorator(e){return r=>(t,o)=>{const n=t.constructor;r.name=o;const s=getDecorators(n);s[e]=s[e]||[],s[e].push(r)}}function typedMemberDecorator(e){return r=>(t,o)=>{const n=t.constructor;r.name=o;const s=getDecorators(n);if(s[e]=s[e]||[],s[e].find((e=>e.name===o)))throw new Error(`${n.name}.${o}: multiple decorators are not allowed`);s[e].push(r)}}function staticMemberDecorator(e,r){return t=>(o,n)=>{t.name=n,t.nodeConstructor=o,t.operationKind=r,t.className=o.name;const s=getDecorators(o);s[e]=s[e]||[],s[e].push(t)}}function classDecorator(e){return r=>t=>{r.name=t.name;const o=getDecorators(t);o[e]=o[e]||{},Object.assign(o[e],r)}}function classSubNodeDecorator(e){return r=>t=>{r.name=t.name;const o=getDecorators(t);o[e]=o[e]||{},Object.assign(o[e],r);const n=getDecorators(r.extends());if(!n.node.isAbstract)throw new Error(`Subclass definition error: '${t.name}' can't inherit from '${n.node.name}' ('${n.node.name}' is not marked as abstract)`)}}function createTypedProperty(e,r){return r.type=e,memberDecorator("properties")(r)}function extendProperty(e,r){return r.isOverride=true,createTypedProperty(e,r)}function snakeUpperCase(e){return(0,lodash_1.snakeCase)(e).toUpperCase()}exports.Decorated=Decorated;
//# sourceMappingURL=decorator-utils.js.map