/* Copyright (c) 2020-2025 The Sage Group plc or its licensors. Sage, Sage logos, and Sage product and service names mentioned herein are the trademarks of Sage Global Services Limited or its licensors. All other trademarks are the property of their respective owners. */
"use strict";Object.defineProperty(exports,"__esModule",{value:true}),exports.mapErrorToDiagnosis=mapErrorToDiagnosis;const xtrem_postgres_1=require("@sage/xtrem-postgres"),xtrem_shared_1=require("@sage/xtrem-shared"),concurrency_utils_1=require("../concurrency-utils");function mapDatabaseErrorMessage(e,r){if(!(r.code?.startsWith("23")&&r.table&&r.constraint))return{message:(0,concurrency_utils_1.wrapError)(e,r).message,factoryName:"",path:[]};const a=e.application.getTableByName(r.table),t=a.getForeignKeyByName(r.constraint),o=a.factory.name;if("23503"===r.code&&t&&t.columnNames.length){const r=a.factory.properties.find((e=>e.columnName===t.columnNames[t.columnNames.length-1]))?.name;return{message:e.localize("@sage/xtrem-core/could-not-delete-blocked-by-property","Could not delete: blocked by property {{factory}}.{{property}}",{factory:o,property:r}),factoryName:o,path:[]}}if("23505"===r.code){const[t,s]=(/\((.*)\)=\((.*)\)/.exec(r.detail||"")||[]).slice(1).map((e=>e.split(", ")));if(!t)return{message:(0,concurrency_utils_1.wrapError)(e,r).message,factoryName:o,path:[]};if("_tenant_id"===t[0])t.shift(),s.shift();const n=t.map((e=>a.findColumnByColumnName(e)?.property?.name??"<unknown>"));if(1===n.length)return{message:e.localize("@sage/xtrem-core/unique-index-violation","The operation failed because a record already exists."),factoryName:o,path:[n[0]]};return{message:e.localize("@sage/xtrem-core/unique-index-violation-composite-key","The operation failed because a record already exists. Conflict found on {{propertyNames}}.",{propertyNames:n.join(", ")}),factoryName:o,path:[]}}return{message:(0,concurrency_utils_1.wrapError)(e,r).message,factoryName:o,path:[]}}function mapErrorToDiagnosis(e,r){if(r instanceof xtrem_shared_1.SystemError&&r.innerError instanceof xtrem_postgres_1.DatabaseError)return{...mapDatabaseErrorMessage(e,r.innerError),severity:xtrem_shared_1.ValidationSeverity.exception};return{severity:xtrem_shared_1.ValidationSeverity.exception,message:(0,concurrency_utils_1.wrapError)(e,r).message,factoryName:"",path:r instanceof xtrem_shared_1.BaseError?r.path??[]:[]}}
//# sourceMappingURL=error-utils.js.map