/* Copyright (c) 2020-2025 The Sage Group plc or its licensors. Sage, Sage logos, and Sage product and service names mentioned herein are the trademarks of Sage Global Services Limited or its licensors. All other trademarks are the property of their respective owners. */
"use strict";Object.defineProperty(exports,"__esModule",{value:true}),exports.SchemaBuilder=void 0;const graphql_1=require("graphql"),_=require("lodash"),lodash_1=require("lodash"),loggers_1=require("../runtime/loggers"),types_1=require("../types"),node_mutations_1=require("./mutations/node-mutations"),node_queries_1=require("./queries/node-queries"),access_rights_1=require("./security/access-rights"),enum_type_1=require("./types/enum-type"),type_cache_1=require("./utils/type-cache"),logger=loggers_1.loggers.graphQl;class SchemaBuilder{static createQueries(e,a,t){if(!access_rights_1.AccessRights.isPackageAvailable(t,a.tenantPackages))return{};return t.factories.filter((e=>e.nodeDecorator.isPublished)).reduce(((a,t)=>{const r=node_queries_1.NodeQueries.makeResolver(e,t);if(r)a[(0,lodash_1.camelCase)(t.name)]=r;return a}),{})}static createMutations(e,a,t){if(!access_rights_1.AccessRights.isPackageAvailable(t,a.tenantPackages))return{};return t.factories.filter((e=>e.isPublished)).reduce(((a,t)=>{const r=node_mutations_1.NodeMutations.makeResolver(e,t);if(r)a[(0,lodash_1.camelCase)(t.name)]=r;return a}),{})}static createTypes(e,a){const t=[];return Object.values(e.dataTypes).filter((e=>e instanceof types_1.EnumDataType)).forEach((e=>{const r=e,s=enum_type_1.EnumType.getTypeName(r,false),i=enum_type_1.EnumType.getTypeName(r,true);if(void 0===a.getCached(s))t.push(enum_type_1.EnumType.makeGraphQLEnumType(a,r,false));if(void 0===a.getCached(i))t.push(enum_type_1.EnumType.makeGraphQLEnumType(a,r,true))})),t}static getNamespace(e,a,t){const r={},s={},i=e.resolvePnpmLock().version||"",c=e.getPackages().filter((e=>e.factories.some((e=>!!e.isPublished)))).reduce(((e,a)=>{const i=t(a);if(0===Object.keys(i).length)return e;const c=a.name.split("/"),n=c[0].startsWith("@")?c.shift():"",checkSegment=e=>{if("@sage"!==n&&e?.startsWith("xtrem-"))throw new Error("'xtrem' prefix is reserved!")};let o=e;for(;c.length>1;){const e=c.shift();checkSegment(e);const a=(0,lodash_1.camelCase)(e);if(!o[a])o[a]={name:a,fields:{},marker:r};o=o[a].fields}const l=c.shift();checkSegment(l);const p=(0,lodash_1.camelCase)(l);return o[p]=i,s[p]=`Package Version : ${a.packageJson.version}`,e}),{}),wrapFields=e=>{if(e.marker!==r)return e;return Object.keys(e.fields).reduce(((t,r)=>(t[r]={type:new graphql_1.GraphQLObjectType({name:r+a,fields:wrapFields(e.fields[r])}),description:s[r]||`Application Version : ${i}`,resolve:()=>({})},t)),{})};return _.isEmpty(this.typeCache.globalNamespace)?wrapFields({fields:{...c},marker:r}):wrapFields({fields:{...c,global:this.typeCache.globalNamespace},marker:r})}static async getSchema(e,a){logger.info((()=>`Creating GraphQL schema for application ${e.name}`));const t=a?await a.getActivePackageNames():["all"];logger.verbose((()=>`GraphQL active packages: ${t.join()}`)),this.typeCache=new type_cache_1.TypeCache(e);const r=loggers_1.loggers.graphQl.verbose((()=>`Create schema ${e.name}`)),s=SchemaBuilder.getNamespace(e,"Query",(e=>SchemaBuilder.createQueries(this.typeCache,{tenantPackages:t},e)));this.typeCache.resetGlobalNamespace();const i=SchemaBuilder.getNamespace(e,"Mutation",(e=>SchemaBuilder.createMutations(this.typeCache,{tenantPackages:t},e)));if((0,lodash_1.isEmpty)(s)&&(0,lodash_1.isEmpty)(i))throw new Error("Cannot create an empty Graphql schema: you are missing both queries and mutations!");const c=SchemaBuilder.createTypes(e,this.typeCache),n=new graphql_1.GraphQLSchema({query:new graphql_1.GraphQLObjectType({name:"RootQueryType",fields:s}),...!(0,lodash_1.isEmpty)(i)&&{mutation:new graphql_1.GraphQLObjectType({name:"MutationsType",fields:i})},types:c,directives:[graphql_1.GraphQLDeferDirective,graphql_1.GraphQLStreamDirective,graphql_1.GraphQLSkipDirective,graphql_1.GraphQLIncludeDirective],enableDeferStream:true});return r.success(),n}}exports.SchemaBuilder=SchemaBuilder;
//# sourceMappingURL=schema-builder.js.map