/* Copyright (c) 2020-2025 The Sage Group plc or its licensors. Sage, Sage logos, and Sage product and service names mentioned herein are the trademarks of Sage Global Services Limited or its licensors. All other trademarks are the property of their respective owners. */
"use strict";Object.defineProperty(exports,"__esModule",{value:true}),exports.configureHelmetApp=configureHelmetApp;const xtrem_core_1=require("@sage/xtrem-core"),xtrem_shared_1=require("@sage/xtrem-shared"),helmet_1=require("helmet"),_=require("lodash"),loggers_1=require("../loggers"),logger=loggers_1.loggers.service,defaultPendoSubscriptionId="5069687185997824",wellKnownUrl={pendo:"https://cdn.pendo.io",pendoStaticStorage:"https://pendo-io-static.storage.googleapis.com",pendoSubIdStaticStorage:"https://pendo-static-{{SUB_ID}}.storage.googleapis.com",pendoApp:"https://app.pendo.io",pendoData:"https://data.pendo.io",sageIdStaging:"https://id-shadow.sage.com",sageIdProd:"https://id.sage.com",sageFontCdn:"https://fonts.sage.com",newRelic:"https://bam.nr-data.net",newRelicCdn:"https://js-agent.newrelic.com",youTube:"https://www.youtube.com"};function configureHelmetApp(e){const t=xtrem_core_1.ConfigManager.current,o=t.documentationServiceUrl?new URL(t.documentationServiceUrl).origin:"",n=t.s3Storage?.s3BucketUrlPrefix,l=t.security,r=l?.redirectUrl?new URL(l.redirectUrl):null,i=l?.loginUrl?new URL(l?.loginUrl).origin:"",s=l?.renewalUrl?new URL(l?.renewalUrl).origin:"",c=l?_.uniq([i,i.replace("http://","https://"),s,s.replace("http://","https://")].filter((e=>!!e))):[];if(t.copilot?.chatbotBackendUrl)c.push(new URL(t.copilot.chatbotBackendUrl).origin);if(t.copilot?.serviceUrl)c.push(new URL(t.copilot.serviceUrl).origin);if(t.copilot?.oauthEndpointUrl)c.push(new URL(t.copilot.oauthEndpointUrl).origin);if(r)if(c.push(`wss://websocket.${r.hostname.split(".").slice(1).join(".")}`),(0,xtrem_shared_1.isDevelopmentProdUiConfig)(t))c.push(`ws://websocket.${r.hostname.split(".").slice(1).join(".")}:8240`);if(n)c.push(n);const a=l?.services?.helmet,p=!a?.disabledOptions?.csp;if(!p)logger.warn("Helmet: CSP (Content Security Policy) is disabled");const d="https:"===r?.protocol&&!a?.disabledOptions?.hsts?a?.hsts||true:false;if(!d)logger.warn("Helmet: HSTS (HTTP Strict Transport Security) is disabled");const u=helmet_1.default.contentSecurityPolicy.getDefaultDirectives(),w=wellKnownUrl.pendoSubIdStaticStorage.replace("{{SUB_ID}}",t.pendo?.subscriptionId||defaultPendoSubscriptionId),g=["'self'","data:",wellKnownUrl.pendo,wellKnownUrl.pendoStaticStorage,w,wellKnownUrl.pendoApp],h={scriptSrc:["'unsafe-eval'","'unsafe-inline'",...g,w,wellKnownUrl.pendoData,wellKnownUrl.sageIdStaging,wellKnownUrl.sageIdProd,wellKnownUrl.newRelic,wellKnownUrl.newRelicCdn],imgSrc:[...g,w,wellKnownUrl.pendoData,wellKnownUrl.youTube,"blob:"],workerSrc:["blob:","data:","'self'"],styleSrc:["'unsafe-inline'",...g,wellKnownUrl.sageFontCdn],objectSrc:["'self'","blob:"],frameSrc:[...g,i,o,wellKnownUrl.youTube,"blob:"],connectSrc:["'self'","blob:",wellKnownUrl.pendoApp,wellKnownUrl.pendoData,w,wellKnownUrl.newRelic,...c],childSrc:["'self'",wellKnownUrl.pendoApp],upgradeInsecureRequests:d?u["upgrade-insecure-requests"]:null},U=a?.csp?.directives||{};Object.entries(U).forEach((([e,t])=>{if(null==t)return;h[e]=[...h[e]||[],...t]}));const f=_.cloneDeep(h),cspMiddleware=(e,t,o)=>{helmet_1.default.contentSecurityPolicy({useDefaults:true,directives:f})(e,t,o)};if(e.use((0,helmet_1.default)({strictTransportSecurity:d,contentSecurityPolicy:p,hidePoweredBy:true})),p)e.use(cspMiddleware)}
//# sourceMappingURL=helmet-middleware.js.map