/* Copyright (c) 2020-2025 The Sage Group plc or its licensors. Sage, Sage logos, and Sage product and service names mentioned herein are the trademarks of Sage Global Services Limited or its licensors. All other trademarks are the property of their respective owners. */
"use strict";Object.defineProperty(exports,"__esModule",{value:true}),exports.StatePayload=void 0;const xtrem_async_helper_1=require("@sage/xtrem-async-helper"),xtrem_log_1=require("@sage/xtrem-log"),runtime_1=require("../runtime"),state_get_value_1=require("./state-get-value"),state_utils_1=require("./state-utils"),lodash=require("lodash");class StatePayload{static async getPropertyPayload(e,t,a){const r=await state_get_value_1.StateGetValue.getPropertyValue(e,t),getChildPayload=(e,r)=>{const n={...a,propertyNames:r};if(!t.isTransientInput&&!t.isMutable)n.thunkOnly=true;if(t.isTransientInput)n.thunkOnly=false;return e&&StatePayload.getNodePayload(e.$.state,n)},n=a.propertyNames?a.propertyNames[t.name]:void 0;if(t.isReferenceProperty()){if(!r)return null;return getChildPayload(r,n)}if(t.isReferenceArrayProperty()){const e=r;if(!e)return null;return(0,xtrem_async_helper_1.asyncArray)(e).map((e=>getChildPayload(e,n))).toArray()}if(t.isCollectionProperty()){const e=r;if(a.limitCollections){const{items:t}=await e.queryPage({first:a.limitCollections});return(0,xtrem_async_helper_1.asyncArray)(t).map((e=>getChildPayload(e,n))).filter((e=>!!e)).toArray()}return e.map((e=>getChildPayload(e,n))).filter((e=>!!e)).toArray()}return r}static async getNodePayload(e,t={}){if(t.propertyNames&&lodash.isEmpty(t.propertyNames))return{};const a=e.factory;let r=t.propertyNames?Object.keys(t.propertyNames).filter((e=>!!a.propertiesByName[e])).map((e=>a.propertiesByName[e])):a.properties;if(r=await(0,xtrem_async_helper_1.asyncArray)(r).filter((a=>this.filterPayloadProps(e,a,t))).toArray(),t?.thunkOnly){if("external"===a.storage)r=a.keyProperties;else r=[r.find((e=>"_id"===e.name))];if(t.withNaturalKeyWhenThunk&&a.naturalKey&&a.naturalKey.length>0){const e=a.naturalKey.filter((e=>!r.find((t=>t.name===e)))).map((e=>a.propertiesByName[e]));if(e.length>0)r=r.concat(e)}}if(!t.withIds)r=r.filter((e=>"_id"!==e.name&&"_sourceId"!==e.name));if(!t.withLayer)r=r.filter((e=>"_layer"!==e.name));return(0,xtrem_async_helper_1.asyncArray)(r).reduce((async(a,r)=>{if(t.inputValuesOnly&&(r.getValue||r.computeValue||r.isVitalParent||r.isAssociationParent))return a;let n=await StatePayload.getPropertyPayload(e,r,t);if(void 0===n)return a;if(t.omitDefaultValues&&"collection"!==r.type&&n===r.getTypeDefaultValue())return a;if(r.isEnumProperty()||r.isEnumArrayProperty()){const e=r.dataType;if(t.returnEnumsAsNumber)n=e.numberValue(n),n=-1===n?null:n}if(null!=n&&t.convertScalarValue&&(0,runtime_1.isScalar)(n))n=t.convertScalarValue(n);return a[r.name]=n,a}),{})}static filterPayloadProps(e,t,a={}){if(a.propertyNames?.[t.name])return true;if("_factory"===t.name)return false;const r=!t.excludedFromPayload||!!a.withTimeStamps&&["_createStamp","_updateStamp"].includes(t.name);return(!a.thunkOnly||e.factory.keyProperties.some((e=>e.name===t.name)))&&r&&!(a.withoutCustomData&&"_customData"===t.name)&&!["_createUser","_updateUser"].includes(t.name)&&state_utils_1.StateUtils.isEnabledByServiceOptions(e,t)}static async getPayload(e,t={}){const a=(0,xtrem_log_1.clsContext)();if(!a)return(0,xtrem_log_1.withClsContext)((()=>this.getPayload(e,t)),{});const r=a.payloadMap;if(r&&r.has(e))throw new Error(`getPayload recurses on ${e.factory.name}:${e.values._id}`);const n=r||new Map;a.payloadMap=n;try{return n.set(e,true),await this.getNodePayload(e,t)}finally{a.payloadMap=r}}}exports.StatePayload=StatePayload;
//# sourceMappingURL=state-payload.js.map