/* Copyright (c) 2020-2025 The Sage Group plc or its licensors. Sage, Sage logos, and Sage product and service names mentioned herein are the trademarks of Sage Global Services Limited or its licensors. All other trademarks are the property of their respective owners. */
"use strict";var __decorate=this&&this.__decorate||function(e,t,r,o){var a,d=arguments.length,s=d<3?t:null===o?o=Object.getOwnPropertyDescriptor(t,r):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,r,o);else for(var i=e.length-1;i>=0;i--)if(a=e[i])s=(d<3?a(s):d>3?a(t,r,s):a(t,r))||s;return d>3&&s&&Object.defineProperty(t,r,s),s};Object.defineProperty(exports,"__esModule",{value:true}),exports.MetaNodeFactory=void 0;const typesLib=require("@sage/xtrem-decimal"),xtrem_core_1=require("@sage/xtrem-core"),xtremAppMetadata=require("../index"),metadata_storage_manager_1=require("../services/metadata-storage-manager");let MetaNodeFactory=class MetaNodeFactory extends xtrem_core_1.Node{async getNode(){const e=this.$.context.application.tryToGetFactoryByName(await this.name)?.nodeConstructor;if(!e)throw new xtrem_core_1.BusinessRuleError(this.$.context.localize("@sage/xtrem-app-metadata/xtrem-object-invalid","{{xtremObject}} is not a node.",{xtremObject:await this.name}));return e}};exports.MetaNodeFactory=MetaNodeFactory,__decorate([xtrem_core_1.decorators.stringProperty({isStored:true,isPublished:true,lookupAccess:true,dataType:()=>xtremAppMetadata.dataTypes.metadataName})],MetaNodeFactory.prototype,"name",void 0),__decorate([xtrem_core_1.decorators.stringProperty({isStored:true,isPublished:true,lookupAccess:true,dataType:()=>xtremAppMetadata.dataTypes.metadataTitle})],MetaNodeFactory.prototype,"title",void 0),__decorate([xtrem_core_1.decorators.referenceProperty({isStored:true,isPublished:true,lookupAccess:true,node:()=>xtremAppMetadata.nodes.MetaPackage})],MetaNodeFactory.prototype,"package",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({isStored:true,isPublished:true,provides:["isActive"]})],MetaNodeFactory.prototype,"isActive",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({isStored:true,isPublished:true})],MetaNodeFactory.prototype,"isPublished",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({isStored:true,isPublished:true})],MetaNodeFactory.prototype,"isAbstract",void 0),__decorate([xtrem_core_1.decorators.referenceProperty({isStored:true,isPublished:true,isNullable:true,node:()=>MetaNodeFactory})],MetaNodeFactory.prototype,"extends",void 0),__decorate([xtrem_core_1.decorators.enumProperty({isStored:true,isPublished:true,dataType:()=>xtremAppMetadata.enums.storageDataType})],MetaNodeFactory.prototype,"storage",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({isStored:true,isPublished:true})],MetaNodeFactory.prototype,"isSharedByAllTenants",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({isStored:true,isPublished:true})],MetaNodeFactory.prototype,"isSetupNode",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({isStored:true,isPublished:true})],MetaNodeFactory.prototype,"isPlatformNode",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({isStored:true,isPublished:true})],MetaNodeFactory.prototype,"isVitalReferenceChild",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({isStored:true,isPublished:true})],MetaNodeFactory.prototype,"isVitalCollectionChild",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({isStored:true,isPublished:true})],MetaNodeFactory.prototype,"isCustomizable",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({isStored:true,isPublished:true})],MetaNodeFactory.prototype,"isSynchronizable",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({isStored:true,isPublished:true})],MetaNodeFactory.prototype,"isSynchronized",void 0),__decorate([xtrem_core_1.decorators.jsonProperty({isStored:true,isPublished:true})],MetaNodeFactory.prototype,"serviceOptionNames",void 0),__decorate([xtrem_core_1.decorators.referenceArrayProperty({isPublished:true,node:()=>xtremAppMetadata.nodes.MetaServiceOption,isNullable:true,async computeValue(){const e=Object.values(await this.serviceOptionNames??{});if(!e||typesLib.strictEq(e.length,0))return[];return this.$.context.query(xtremAppMetadata.nodes.MetaServiceOption,{filter:{name:{_in:e}}})}})],MetaNodeFactory.prototype,"serviceOptions",void 0),__decorate([xtrem_core_1.decorators.jsonProperty({isStored:true,isPublished:true,isNullable:true})],MetaNodeFactory.prototype,"naturalKey",void 0),__decorate([xtrem_core_1.decorators.jsonProperty({isPublished:true,async computeValue(){if(xtrem_core_1.CoreHooks.customizationManager){const e=await this.name,t=this.$.context.application.tryToGetFactoryByName(e);if(!t)return[];const{fullName:r}=t,o=await xtrem_core_1.CoreHooks.customizationManager.getCustomFields(this.$.context,[r]);return o?.[r]??[]}return[]}})],MetaNodeFactory.prototype,"customFields",void 0),__decorate([xtrem_core_1.decorators.collectionProperty({isPublished:true,isVital:true,node:()=>xtremAppMetadata.nodes.MetaNodeProperty,reverseReference:"factory"})],MetaNodeFactory.prototype,"properties",void 0),__decorate([xtrem_core_1.decorators.collectionProperty({isPublished:true,isVital:true,node:()=>xtremAppMetadata.nodes.MetaNodeOperation,reverseReference:"factory"})],MetaNodeFactory.prototype,"operations",void 0),exports.MetaNodeFactory=MetaNodeFactory=__decorate([xtrem_core_1.decorators.node({isPublished:true,storage:"external",externalStorageManager:new metadata_storage_manager_1.MetadataStorageManager,isSharedByAllTenants:true,isCached:true,isPlatformNode:true,canCreate:true,canRead:true,canUpdate:true,canDeleteMany:true,keyPropertyNames:["name"],indexes:[{orderBy:{name:1},isUnique:true,isNaturalKey:true}],isFrozen:true})],MetaNodeFactory);
//# sourceMappingURL=meta-node-factory.js.map