/* Copyright (c) 2020-2025 The Sage Group plc or its licensors. Sage, Sage logos, and Sage product and service names mentioned herein are the trademarks of Sage Global Services Limited or its licensors. All other trademarks are the property of their respective owners. */
"use strict";var __decorate=this&&this.__decorate||function(e,r,t,o){var a,d=arguments.length,s=d<3?r:null===o?o=Object.getOwnPropertyDescriptor(r,t):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,r,t,o);else for(var i=e.length-1;i>=0;i--)if(a=e[i])s=(d<3?a(s):d>3?a(r,t,s):a(r,t))||s;return d>3&&s&&Object.defineProperty(r,t,s),s};Object.defineProperty(exports,"__esModule",{value:true}),exports.MetaNodeProperty=void 0;const typesLib=require("@sage/xtrem-decimal"),xtrem_core_1=require("@sage/xtrem-core"),xtremAppMetadata=require("../index"),metadata_storage_manager_1=require("../services/metadata-storage-manager"),meta_data_type_1=require("./meta-data-type");let MetaNodeProperty=class MetaNodeProperty extends xtrem_core_1.Node{};exports.MetaNodeProperty=MetaNodeProperty,__decorate([xtrem_core_1.decorators.referenceProperty({isStored:true,isPublished:true,isVitalParent:true,node:()=>xtremAppMetadata.nodes.MetaNodeFactory})],MetaNodeProperty.prototype,"factory",void 0),__decorate([xtrem_core_1.decorators.stringProperty({isStored:true,isPublished:true,dataType:()=>xtremAppMetadata.dataTypes.metadataName,lookupAccess:true})],MetaNodeProperty.prototype,"name",void 0),__decorate([xtrem_core_1.decorators.stringProperty({isStored:true,isPublished:true,dataType:()=>xtremAppMetadata.dataTypes.metadataTitle,lookupAccess:true})],MetaNodeProperty.prototype,"title",void 0),__decorate([xtrem_core_1.decorators.referenceProperty({isStored:true,isPublished:true,node:()=>xtremAppMetadata.nodes.MetaPackage,lookupAccess:true})],MetaNodeProperty.prototype,"package",void 0),__decorate([xtrem_core_1.decorators.jsonProperty({isStored:true,isPublished:true})],MetaNodeProperty.prototype,"serviceOptionNames",void 0),__decorate([xtrem_core_1.decorators.referenceArrayProperty({isPublished:true,node:()=>xtremAppMetadata.nodes.MetaServiceOption,async computeValue(){const e=Object.values(await this.serviceOptionNames??{});if(!e||typesLib.strictEq(e.length,0))return[];return this.$.context.query(xtremAppMetadata.nodes.MetaServiceOption,{filter:{name:{_in:e}}})}})],MetaNodeProperty.prototype,"serviceOptions",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({isStored:true,isPublished:true,provides:["isActive"]})],MetaNodeProperty.prototype,"isActive",void 0),__decorate([xtrem_core_1.decorators.enumProperty({isStored:true,isPublished:true,dataType:()=>xtremAppMetadata.enums.MetaPropertyTypeDataType,lookupAccess:true})],MetaNodeProperty.prototype,"type",void 0),__decorate([xtrem_core_1.decorators.referenceProperty({isStored:true,isPublished:true,isNullable:true,node:()=>meta_data_type_1.MetaDataType})],MetaNodeProperty.prototype,"dataType",void 0),__decorate([xtrem_core_1.decorators.integerProperty({isStored:true,isPublished:true})],MetaNodeProperty.prototype,"dependencyIndex",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({isStored:true,isPublished:true})],MetaNodeProperty.prototype,"isPublished",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({isStored:true,isPublished:true})],MetaNodeProperty.prototype,"isStored",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({isStored:true,isPublished:true})],MetaNodeProperty.prototype,"isTransientInput",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({isStored:true,isPublished:true})],MetaNodeProperty.prototype,"isStoredOutput",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({isStored:true,isPublished:true})],MetaNodeProperty.prototype,"isRequired",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({isStored:true,isPublished:true})],MetaNodeProperty.prototype,"isNullable",void 0),__decorate([xtrem_core_1.decorators.referenceProperty({isStored:true,isPublished:true,isNullable:true,node:()=>xtremAppMetadata.nodes.MetaNodeFactory})],MetaNodeProperty.prototype,"targetFactory",void 0),__decorate([xtrem_core_1.decorators.referenceProperty({isStored:true,isPublished:true,isNullable:true,node:()=>MetaNodeProperty})],MetaNodeProperty.prototype,"reverseReference",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({isStored:true,isPublished:true})],MetaNodeProperty.prototype,"isVital",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({isStored:true,isPublished:true})],MetaNodeProperty.prototype,"isVitalParent",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({isStored:true,isPublished:true})],MetaNodeProperty.prototype,"isInherited",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({isStored:true,isPublished:true})],MetaNodeProperty.prototype,"canSort",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({isStored:true,isPublished:true})],MetaNodeProperty.prototype,"canFilter",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({isStored:true,isPublished:true})],MetaNodeProperty.prototype,"isOnInputType",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({isStored:true,isPublished:true})],MetaNodeProperty.prototype,"isOnOutputType",void 0),__decorate([xtrem_core_1.decorators.booleanProperty({isStored:true,isPublished:true})],MetaNodeProperty.prototype,"isMutable",void 0),exports.MetaNodeProperty=MetaNodeProperty=__decorate([xtrem_core_1.decorators.node({isPublished:true,storage:"external",externalStorageManager:new metadata_storage_manager_1.MetadataStorageManager,isSharedByAllTenants:true,isCached:true,isPlatformNode:true,isVitalCollectionChild:true,canCreate:true,canRead:true,canUpdate:true,canDeleteMany:true,keyPropertyNames:["factory","name"],indexes:[{orderBy:{factory:1,name:1},isUnique:true,isNaturalKey:true}],isFrozen:true})],MetaNodeProperty);
//# sourceMappingURL=meta-node-property.js.map